# Interface FetchByOffsetParameters<D>

#### Type Parameters

- #### D

#### Hierarchy

- FetchListParameters<D>
  - FetchByOffsetParameters

#####
Index

### Properties

attributes?
clientId?
filterCriterion?
includeFilteredRowCount?
offset
signal?
size?
sortCriteria?

## Properties

### `Optional` attributes

attributes?: (string | FetchAttribute)[]

Overrides FetchListParameters.attributes

### `Optional` clientId

clientId?: symbol

Inherited from FetchListParameters.clientId

### `Optional` filterCriterion

filterCriterion?: Filter<D>

Inherited from FetchListParameters.filterCriterion

### `Optional` includeFilteredRowCount

includeFilteredRowCount?: "disabled" | "enabled"

Overrides FetchListParameters.includeFilteredRowCount

### offset

offset: number

### `Optional` signal

signal?: AbortSignal

Overrides FetchListParameters.signal

### `Optional` size

size?: number

Inherited from FetchListParameters.size

### `Optional` sortCriteria

sortCriteria?: SortCriterion<D>[]

Inherited from FetchListParameters.sortCriteria

Generated using TypeDoc